Summary: The GNU versions of find utilities (find, xargs, and locate).
Name: findutils
Version: 4.1
Release: 45tr
License: GPL
Group: Environment/File
Source0: ftp://ftp.gnu.org/gnu/findutils/findutils-4.1.tar.gz
Source1: updatedb.cron
Patch0: findutils-4.1-fsstnd.patch
Patch1: findutils-4.1-basename.patch
Patch2: findutils-4.1-glibc.patch
Patch3: findutils-4.1-mktemp.patch
Patch4: findutils-4.1-getshort.patch
Patch5: findutils-4.1-glibc21.patch
Patch6: findutils-4.1-xargsoverflow.patch
Patch7: findutils-4.1-numblks.patch
Prereq: htmlinfo
BuildRequires: texinfo autoconf
Buildroot: /var/tmp/%{name}-root

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern).  The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
autoconf

CFLAGS="$RPM_OPT_FLAGS  -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
./configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_prefix} \
    --disable-nls
make
cd doc
makeinfo --html --no-split find.texi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/findutils
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/html/find
make prefix=${RPM_BUILD_ROOT}%{_prefix} exec_prefix=${RPM_BUILD_ROOT}%{_prefix} install
install -m644 doc/find.html $RPM_BUILD_ROOT%{_prefix}/share/html/find/

{ cd $RPM_BUILD_ROOT
  chmod 755 .%{_prefix}/lib/findutils
  mkdir -p ./etc/cron.daily
  install -m755 %SOURCE1 ./etc/cron.daily
  mkdir -p ./usr/share/man
  mv ./usr/man/* ./usr/share/man
  strip .%{_prefix}/bin/* || :
}

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%{_prefix}/bin/find
%{_prefix}/bin/xargs
%{_prefix}/share/man/man1/find.1*
%{_prefix}/share/man/man1/xargs.1*
%{_prefix}/share/html/find


%changelog
* Tue Dec 16 2003 Chr. Toldnes <christht at trustix dot org> 4.1.45tr
- retag and rebuild

* Tue Dec 09 2003 Daniel Meyer <eagle at trustix dot org> 4.1-44ie
- Works with LFS now

* Thu Jun 26 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1-43tr
- Integrated changes from Goetz.

* Wed Jun 25 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1-42tr
- Try to get rid of odd library dependency.

* Wed Jun 24 2003 Goetz Bock <bock at trustix dot org> findutils-4.1-42bg
- removed dependancy to gettext
 
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1-41tr
- Big rebuild

* Fri Jun 13 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1-40em
- Now own /usr/share/html/find.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1-39em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 4.1-38ct
- Replaces info stuff with htmlinfo

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 4.1-37dm
- rebuild for Trustix Secure Linux 2.0

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved man and info pages to /usr/share, FHS

* Wed Jan 12 2000 Preston Brown <pbrown@redhat.com>
- new description.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- fixed block count bug (# 2141)

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- patch to fix xargs out of bounds overflow (bug # 1279)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 30)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- remove further updatedb remnants (#1072).

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- added patch for glibc21

* Mon Nov 16 1998 Erik Troan <ewt@redhat.com>
- removed locate stuff (as we now ship slocate)

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- updated updatedb cron script to not look for $TMPNAME.n (which was
  a relic anyway)
- added -b parameters to all of the patches

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Mar 09 1998 Michael K. Johnson <johnsonm@redhat.com>
- make updatedb.cron use mktemp correctly
- make updatedb use mktemp

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- nobody should own tmpfile
- ignore /net

* Wed Nov 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron do a better job of cleaning up after itself.

* Tue Oct 28 1997 Donald Barnes <djb@redhat.com>
- fixed 64 bit-ism in getline.c, patch tacked on to end of glibc one

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot support

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron work even if "nobody" can't read /root
- use mktemp in updatedb.cron

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added missing info pages
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed updatedb.cron
